> For the complete documentation index, see [llms.txt](https://docs.metarank.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metarank.ai/reference/overview/feature-extractors/generic.md).

# Generic

## Word count

Sometimes it can be useful to get the word length of a field, especially for models designed to personalize different types of content. You can use the `word_count` feature extractor to get the length of a string field with the following config:

```yaml
- name: title_length
  type: word_count
  scope: item
  field: item.title // must be a string
```

## Relative number

> Update, v0.7.x: relative\_number is deprecated and removed. Both XGBoost and LightGBM natively support this out of the box for all numeric features, so please use the [number](/reference/overview/feature-extractors/scalar.md#numerical-extractor) feature.

## List size

Counts the number of items in a string or numerical list. Example:

```yaml
- name: toggled_filters_count
  type: list_size
  field: filters
  source: item
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.metarank.ai/reference/overview/feature-extractors/generic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
